    All Examples  All WebLogic Enterprise Connectivity Examples  EJB Simpapp Example

## examples.wlec.ejb.simpapp
Class Client

    java.lang.Object
      |
      +--examples.wlec.ejb.simpapp.Client

public class Client
extends java.lang.Object

This class illustrates using a stateless SessionBean that calls an IIOP handler which in turn calls a CORBA simpapp server. This class does the following:

- Creates a converter, and performs conversion of strings
- No persistence of state between calls to the SessionBean
- Uses the EJBean to perform all calls to CORBA simpapp server
- Searches the JNDI tree for an appropriate container

You'll need to add an IIOP pool to your weblogic.properties file:

    # Demo IIOP pool

       weblogic.CORBA.connectionPool.simplepool=\
         appaddrlist=//your host name:port # where the simpapp is running,\
         failoverlist=//your host name:port # where the simpapp is running,\
         minpoolsize=1,\
         maxpoolsize=3,\
         username=your user name,\
         userrole=role of the user,\
         domainname=simpapp

You'll need to deploy the EJB to your weblogic.properties file:

    # Demo ejb deployment
       weblogic.ejb.deploy=c:/weblogic/classes/wlec_ejb_simpapp.jar

Constructor Summary
`Client()`

Method Summary
`static examples.wlec.ejb.simpapp.Context` | `getInitialContext()` Gets an initial context.
`static void` | `main(java.lang.String[] args)` Runs this example from the command line.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Client

    public Client()

Method Detail

### main

    public static void main(java.lang.String[] args)

  Runs this example from the command line. For example:

      & java examples.wlec.ejb.simpapp.Client WebLogicURL user password

  The parameters are optional, but if any are supplied, they are interpreted in this order:

  Parameters:
    `WebLogicURL` - URL of the server such as "t3://localhost:7001"
    `user` - User name, default null
    `password` - User password, default null. It should be at least 8 characters.

### getInitialContext

    public static examples.wlec.ejb.simpapp.Context getInitialContext()
                                                               throws java.lang.Exception

  Gets an initial context.
  Returns:
    Context
  Throws:
    java.lang.Exception - if there is an error in getting a Context